Subject: bug#45502: closed (Re: bug#45502: [PATCH] Prettier key bindings in NS menu entries)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 30 Dec 2020 15:54:02 +0000

Your bug report

#45502: [PATCH] Prettier key bindings in NS menu entries

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
45502: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=45502
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#45502: [PATCH] Prettier key bindings in NS menu entries
From: Mattias Engdegård <[email-masked]>
To: Alan Third <[email-masked]>
Cc: [email-masked],Daniel Martín <[email-masked]>
Date: Wed, 30 Dec 2020 16:53:04 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

30 dec. 2020 kl. 14.09 skrev Alan Third <[email-masked]>:

> Ah, got it!

Good catch! I think we've squeezed this bug dry by now; closing.

Subject: [PATCH] Prettier key bindings in NS menu entries
From: Mattias Engdegård <[email-masked]>
To: [email-masked]
Date: Mon, 28 Dec 2020 15:23:25 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

The NS port shows key bindings in a rather cluttered way, with the key in brackets directly after the menu entry. The Mac port of Emacs is much neater with the bindings all aligned at a common tab position. We could do the same, but having done some experiments I actually prefer a right-alignment of the keys. Proof-of-concept patch attached.

The alignment is made by padding with spaces, and then with hair spaces for extra precision; the result is not perfect but probably better than what we have now. If I get some time, I might do an experiment with more precise formatting.